#ifndef ADC_H
#define ADC_H

/* adc_dmabuf[x] contains 16 samples of channel AN0 */
extern uint16_t adc_dmabuf[16];

/* Stores the offset of the most recently written DMA sample */
extern int adc_offset;

/* Initialize internal ADC */
void adc_init(void);

/* Callback functions */
extern void (*adc_adc_callback)(void);
extern void (*adc_dma_callback)(void);

#endif
